Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.jpa
Class ExecutorQueryServiceImpl

    java.lang.Object
      org.jbpm.executor.impl.jpa.ExecutorQueryServiceImpl

All Implemented Interfaces:
  org.kie.internal.executor.api.ExecutorQueryService

    public class ExecutorQueryServiceImpl

extends Object
implements org.kie.internal.executor.api.ExecutorQueryService

Default implementation of `ExecutorQueryService` that is backed with JPA IMPORTANT: please keep all classes from package org.jbpm.shared.services.impl as FQCN inside method body to avoid exception logged by CDI when used with in memory mode

Constructor Summary
`ExecutorQueryServiceImpl(boolean active)`

Method Summary
`List<org.kie.internal.executor.api.ErrorInfo>` | `getAllErrors()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getAllRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCancelledRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCompletedRequests()`
`List<org.kie.internal.executor.api.ErrorInfo>` | `getErrorsByRequestId(Long requestId)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getFutureQueuedRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getInErrorRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getPendingRequestById(Long id)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getPendingRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getQueuedRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestByBusinessKey(String businessKey)`
`org.kie.internal.executor.api.RequestInfo` | `getRequestById(Long id)`
`org.kie.internal.executor.api.RequestInfo` | `getRequestForProcessing()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRunningRequests()`
`void` | `setCommandService(org.drools.core.command.CommandService commandService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorQueryServiceImpl

    public ExecutorQueryServiceImpl(boolean active)

Method Detail

### setCommandService

    public void setCommandService(org.drools.core.command.CommandService commandService)

### getPendingRequests

    public List<org.kie.internal.executor.api.RequestInfo> getPendingRequests()

  Specified by:
    `getPendingRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getPendingRequestById

    public List<org.kie.internal.executor.api.RequestInfo> getPendingRequestById(Long id)

  Specified by:
    `getPendingRequestById` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestById

    public org.kie.internal.executor.api.RequestInfo getRequestById(Long id)

  Specified by:
    `getRequestById` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRunningRequests

    public List<org.kie.internal.executor.api.RequestInfo> getRunningRequests()

  Specified by:
    `getRunningRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getQueuedRequests()

  Specified by:
    `getQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getFutureQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getFutureQueuedRequests()

  Specified by:
    `getFutureQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getCompletedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCompletedRequests()

  Specified by:
    `getCompletedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getInErrorRequests

    public List<org.kie.internal.executor.api.RequestInfo> getInErrorRequests()

  Specified by:
    `getInErrorRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getCancelledRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCancelledRequests()

  Specified by:
    `getCancelledRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getAllErrors

    public List<org.kie.internal.executor.api.ErrorInfo> getAllErrors()

  Specified by:
    `getAllErrors` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getErrorsByRequestId

    public List<org.kie.internal.executor.api.ErrorInfo> getErrorsByRequestId(Long requestId)

  Specified by:
    `getErrorsByRequestId` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getAllRequests

    public List<org.kie.internal.executor.api.RequestInfo> getAllRequests()

  Specified by:
    `getAllRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestsByStatus

    public List<org.kie.internal.executor.api.RequestInfo> getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses)

  Specified by:
    `getRequestsByStatus` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestByBusinessKey

    public List<org.kie.internal.executor.api.RequestInfo> getRequestByBusinessKey(String businessKey)

  Specified by:
    `getRequestByBusinessKey` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestForProcessing

    public org.kie.internal.executor.api.RequestInfo getRequestForProcessing()

  Specified by:
    `getRequestForProcessing` in interface `org.kie.internal.executor.api.ExecutorQueryService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.